unit Boite5;

interface

uses Forms, StdCtrls, Buttons, Controls, ExtCtrls, Classes;

type
  TFormTrust = class(TForm)
    Trustees: TListBox;
    SBEnlever: TSpeedButton;
    SBAjouter: TSpeedButton;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Bevel1: TBevel;
    SBDefDroit: TSpeedButton;
    Label1: TLabel;
    procedure SBEnleverClick(Sender: TObject);
    procedure SBAjouterClick(Sender: TObject);
    procedure SBDefDroitClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private-dclarations }
  public
    { Public-dclarations }
  end;

var
  FormTrust: TFormTrust;

implementation

{$R *.DFM}

uses Boite6, TNWTrust, Boite4;

var NewDroit: Byte;

procedure TFormTrust.SBEnleverClick(Sender: TObject);
var Compteur: Integer;
begin
    for Compteur := Trustees.Items.Count-1 downto 0 do
    if Trustees.Selected[Compteur] then
    begin
        Trustees.Items.Objects[Trustees.ItemIndex].Free;
        Trustees.Items.Delete(Trustees.ItemIndex);
    end;
end;

procedure TFormTrust.SBAjouterClick(Sender: TObject);
var NewTrustee: String;
    Droit: TDroit;
    Compteur: Integer;
begin
    if (FormNewTrustees.ShowModal = mrOK) then
    for Compteur := 0 to FormNewTrustees.NWFile1.Items.Count-1 do
    if FormNewTrustees.NWFile1.Selected[Compteur] then
    begin
        NewTrustee := FormNewTrustees.NWDirectory1.AllPath + '\' + FormNewTrustees.NWFile1.Items[Compteur];
        if (Trustees.Items.IndexOf(NewTrustee)  = -1) then
        begin
            Droit := TDroit.Create;
            Droit.Droit := NewDroit;
            Trustees.Items.AddObject(NewTrustee, Droit);
        end;
    end;
end;

procedure TFormTrust.SBDefDroitClick(Sender: TObject);
begin
    FormTrustees.Securite := NewDroit;
    if (FormTrustees.ShowModal = mrOK) then NewDroit := FormTrustees.Securite;
end;

procedure TFormTrust.FormShow(Sender: TObject);
begin
    NewDroit := $01;
end;

end.
