
{*******************************************************}
{                                                       }
{   (88) Fonctions                                      }
{   du Novell 4.0 Pour Borland DELPHI                   }
{                                                       }
{   Convertion du C au PASCAL                           }
{   par Couery Tanguy le 26/11/95                       }
{                                                       }
{   Pour le projet Novell Netware de 3me anne         }
{   (BRETIN David,COUERY Tanguy,GUILHEM Eric)           }
{                                                       }
{                                                       }
{*******************************************************}

unit NwIPXSPX;

interface
uses TIPXSPX;

function IPXCancelEvent (
         IPXTaskID: longint;
         eventControlBlock: PECB): integer;

procedure IPXCloseSocket (
          IPXTaskID: longint;
          socket: WORD);

procedure IPXDisconnectFromTarget (
          IPXTaskID: longint;
          internetAddress: PBYTE);

procedure IPXGetInternetworkAddress (
          IPXTaskID: longint;
          internetAddress: PBYTE);

function IPXGetIntervalMarker (
         IPXTaskID: longint): WORD;

function IPXGetLocalTarget (
         IPXTaskID: longint;
         destination: PBYTE;
         immediateAddress: PBYTE;
         transportTime: Pinteger): integer;

function IPXGetLocalTargetAsync (
         listenAGLT: PAGLT;
         sendAGLT: PAGLT;
         destAddr: PBYTE): WORD;

function IPXGetMaxPacketSize: WORD;

function IPXGetRetryCount: WORD;

function IPXInitialize (
         IPXTaskID: Plongint;
         maxECBs: WORD;
         maxPacketSize: WORD): integer;

function IPXSPXDeinit (
         IPXTaskID: longint): integer;

procedure IPXListenForPacket (
          IPXTaskID: longint;
          eventControlBlock: PECB);

function IPXOpenSocket (
         IPXTaskID: longint;
         socket: PWORD;
         socketType: BYTE): integer;

procedure IPXRelinquishControl;

procedure IPXScheduleIPXEvent (
          IPXTaskID: longint;
          timeDelay: WORD;
          eventControlBlock: PECB);

procedure IPXSendPacket (
          IPXTaskID: longint;
          eventControlBlock: PECB);

procedure IPXYield;

{function SetUpIPXWindow: Boolean;}

procedure SPXAbortConnection (
          SPXConnID: WORD);

function SPXEstablishConnection (
         IPXTaskID: longint;
         retryCount: BYTE;
         watchDog: BYTE;
         SPXConnID: PWORD;
         eventControlBlock: PECB): integer;

function SPXGetConnectionStatus (
         IPXTaskID: longint;
         SPXConnID: WORD;
         connectionInfo: PCONNECTION_INFO): integer;

function SPXInitialize (
         IPXTaskID: Plongint;
         maxECBs: WORD;
         maxPacketSize: WORD;
         majorRevisionNumber: PBYTE;
         minorRevisionNumber: PBYTE;
         maxConnections: PWORD;
         availableConnections: PWORD): integer;

procedure SPXListenForConnection (
          IPXTaskID: longint;
          retryCount: BYTE;
          watchDog: BYTE;
          eventControlBlock: PECB);

procedure SPXListenForSequencedPacket (
          IPXTaskID: longint;
          eventControlBlock: PECB);

procedure SPXSendSequencedPacket (
          IPXTaskID: longint;
          SPXConnID: WORD;
          eventControlBlock: PECB);

procedure SPXTerminateConnection (
          IPXTaskID: longint;
          SPXConnID: WORD;
          eventControlBlock: PECB);

procedure Advertiser;

function AdvertiseService (
         sType: WORD;
         sName: Pchar;
         sSocket: PWORD): WORD;

function QueryServices (
         qType: WORD;
         sType: WORD;
         returnSize: WORD;
         serviceBuffer: PSAP): WORD;

procedure RespondToLocalQuery;

function ShutdownSAP (
         serverName: Pchar): WORD;

{function BeginDiagnostics (
         destination: PBeginDiagnosticStruct;
         connectionID: PWORD;
         componentList: PBYTE): integer;}

function EndDiagnostics (
         connectionID: WORD): integer;

function FindComponentOffset (
         componentList: PBYTE;
         componentID: BYTE): BYTE;

function AbortSendingPackets (
         connectionID: WORD;
         componentNumber: BYTE): integer;

function GetAllKnownNetworks (
         connectionID: WORD;
         componentNumber: BYTE;
         nextNetworkOffset: WORD;
         Response: PAllResponseData;
         ResponseData: PAllKnownNetworksStruct): integer;

function GetAllKnownServers (
         connectionID: WORD;
         componentNumber: BYTE;
         numberServersToSkip: WORD;
         Response: PAllResponseData;
         ResponseData: PAllKnownServersStruct): integer;

function GetBridgeDriverConfiguration (
         connectionID: WORD;
         componentNumber: BYTE;
         LANBoardNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PDriverConfigurationStruct): integer;

function GetBridgeDriverStatus (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PBridgeDriverStatusStruct): integer;

function GetBridgeDriverStatistics (
         connectionID: WORD;
         componentNumber: BYTE;
         LANBoardNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PDriverStatisticsStruct): integer;

function GetBridgeStatistics (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PBridgeStatisticsStruct): integer;

function GetDiagnosticResponse (
         connectionID: WORD;
         buffer1: PBYTE;
         size1: WORD;
         buffer2: PBYTE;size2: WORD): integer;

{function GetDiagnosticStatus (
         connectionID: WORD): integer;}

function GetGNMAInfo (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PGNMAInfoStruct): integer;

function GetIPXSPXVersion (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PIPXSPXVersion): integer;

function GetIPXStatistics (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PIPXStatisticsStruct): integer;

function GetLocalTables (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PLocalTablesStruct): integer;

function GetLSLConfiguration (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PLSLConfigurationStruct): integer;

function GetLSLStatistics (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PLSLStatisticsStruct): integer;

function GetMachineDynamicInfo (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PMachineDynamicInfoStruct): integer;

function GetMachineStaticInfo (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PMachineStaticInfoStruct): integer;

function GetMLIDConfiguration (
         connectionID: WORD;
         componentNumber: BYTE;
         mlidID: WORD;
         Response: PAllResponseData;
         ResponseData: PMLIDConfigurationStruct): integer;

function GetMLIDList (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PMLIDListStruct): integer;

function GetMLIDStatistics (
         connectionID: WORD;
         componentNumber: BYTE;
         mlidID: WORD;
         Response: PAllResponseData;
         ResponseData: PMLIDStatisticsStruct): integer;

function GetNetCfgPath (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PLSLNetCfgPathStruct): integer;

function GetNLCacheStats (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PNLCacheStatsStruct): integer;

function GetNLServerCurrentState (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PNLServerCurrentStateStruct): integer;

function GetNLServerInfo (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PNLServerInfoStruct): integer;

function GetNLServerStats (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PNLServerStatsStruct): integer;

function GetOSVersionInfo (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: POSVersionStruct): integer;

function GetPrimaryServerNumber (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PPrimaryServerStruct): integer;

function GetProtocolStackConfiguration (
         connectionID: WORD;
         componentNumber: BYTE;
         stackID: WORD;
         Response: PAllResponseData;
         ResponseData: PProtocolStackConfigStruct): integer;

function GetProtocolStackList (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PProtocolStackListStruct): integer;

function GetProtocolStackStatistics (
         connectionID: WORD;
         componentNumber: BYTE;
         stackID: WORD;
         Response: PAllResponseData;
         ResponseData: PProtocolStackStatsStruct): integer;

{function GetRemoteSPXSocket (
         destination: PBeginDiagnosticStruct;
         cList: PBYTE): integer;}

function GetServerAddressTable (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PServerAddressTableStruct): integer;

function GetServerNameTable (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PServerNameTableStruct): integer;

function GetShellAddress (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PIPXAddress): integer;

function GetShellDriverConfiguration (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PDriverConfigurationStruct): integer;

function GetShellDriverStatistics (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PDriverStatisticsStruct): integer;

function GetShellStatistics (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PShellStatisticsStruct): integer;

function GetShellVersionInfo (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PShellVersionStruct): integer;

function GetSpecificNetworkInfo (
         connectionID: WORD;
         componentNumber: BYTE;
         networkAddress: PBYTE;
         Response: PAllResponseData;
         ResponseData: PSpecificNetworkInfoStruct): integer;

function GetSpecificServerInfo (
         connectionID: WORD;
         componentNumber: BYTE;
         Server: PServerInfoStruct;
         Response: PAllResponseData;
         ResponseData: PSpecificServerInfoStruct): integer;

function GetSPXStatistics (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PSPXStatisticsStruct): integer;

function ReturnReceivedPacketCount (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PReturnReceivedPacketStruct): integer;

function SendSPXPacket (
         connectionID: WORD;
         buffer1: PBYTE;size1: WORD): integer;

function StartCountingPkts (
         connectionID: WORD;
         componentNumber: BYTE;
         Response: PAllResponseData;
         ResponseData: PStartCountingPacketsStruct): integer;

function StartSendingPktsTimed (
         connectionID: WORD;
         componentNumber: BYTE;
         RequestData: PSendPacketsRequestStruct;
         Response: PAllResponseData;
         ResponseData: PSendPacketsResponseStruct;Ticks: WORD): integer;

implementation
{File NWIPXSPX.IDX:}
{function WEP; external 'nwipxspx' index 0001;}
function GETPRIMARYSERVERNUMBER; external 'nwipxspx' index  1217;
function GETPROTOCOLSTACKLIST; external 'nwipxspx' index  1249;
function IPXGETINTERVALMARKER; external 'nwipxspx' index  1007;
function GETSPECIFICNETWORKINFO; external 'nwipxspx' index  1227;
function GETSHELLDRIVERSTATISTICS; external 'nwipxspx' index  1212;
procedure SPXTERMINATECONNECTION; external 'nwipxspx' index  1023;
procedure IPXCLOSESOCKET; external 'nwipxspx' index  1006;
procedure SPXSENDSEQUENCEDPACKET; external 'nwipxspx' index  1022;
function GETIPXSPXVERSION; external 'nwipxspx' index  1202;
function RETURNRECEIVEDPACKETCOUNT; external 'nwipxspx' index  1205;
function GETBRIDGEDRIVERSTATISTICS; external 'nwipxspx' index  1209;
function GETNLSERVERINFO; external 'nwipxspx' index  1262;
function GETSHELLSTATISTICS; external 'nwipxspx' index  1221;
function ADVERTISESERVICE; external 'nwipxspx' index  1101;
function SENDSPXPACKET; external 'nwipxspx' index  1230;
function FINDCOMPONENTOFFSET; external 'nwipxspx' index  1215;
function IPXOPENSOCKET; external 'nwipxspx' index  1003;
procedure SPXLISTENFORCONNECTION; external 'nwipxspx' index  1020;
function SHUTDOWNSAP; external 'nwipxspx' index  1103;
function STARTCOUNTINGPKTS; external 'nwipxspx' index  1206;
function GETALLKNOWNNETWORKS; external 'nwipxspx' index  1223;
function GETMLIDSTATISTICS; external 'nwipxspx' index  1247;
procedure IPXRELINQUISHCONTROL; external 'nwipxspx' index  1015;
function IPXINITIALIZE; external 'nwipxspx' index  1002;
function GETNLSERVERCURRENTSTATE; external 'nwipxspx' index  1261;
function GETSERVERADDRESSTABLE; external 'nwipxspx' index  1218;
procedure IPXLISTENFORPACKET; external 'nwipxspx' index  1010;
function ENDDIAGNOSTICS; external 'nwipxspx' index  1214;
function GETMACHINESTATICINFO; external 'nwipxspx' index  1243;
function IPXSPXDEINIT; external 'nwipxspx' index  1004;
function GETSPECIFICSERVERINFO; external 'nwipxspx' index  1228;
{function IDENTIFYTOTBMI; external 'nwipxspx' index  1005;}
function IPXGETLOCALTARGET; external 'nwipxspx' index  1008;
function GETGNMAINFO; external 'nwipxspx' index  1240;
procedure SPXLISTENFORSEQUENCEDPACKET; external 'nwipxspx' index  1021;
function IPXGETLOCALTARGETASYNC; external 'nwipxspx' index  1026;
function SPXINITIALIZE; external 'nwipxspx' index  1019;
procedure IPXGETINTERNETWORKADDRESS; external 'nwipxspx' index  1014;
function GETNETCFGPATH; external 'nwipxspx' index  1248;
function GETOSVERSIONINFO; external 'nwipxspx' index  1216;
procedure ADVERTISER; external 'nwipxspx' index  1104;
procedure IPXSCHEDULEIPXEVENT; external 'nwipxspx' index  1012;
function GETSHELLDRIVERCONFIGURATION; external 'nwipxspx' index  1211;
function SPXGETCONNECTIONSTATUS; external 'nwipxspx' index  1018;
{function IPXPROC ; external 'nwipxspx' index     2;}
function GETLSLSTATISTICS; external 'nwipxspx' index  1241;
function GETPROTOCOLSTACKCONFIGURATION; external 'nwipxspx' index  1250;
function GETBRIDGEDRIVERCONFIGURATION; external 'nwipxspx' index  1208;
function GETSHELLVERSIONINFO; external 'nwipxspx' index  1222;
{function RETURNVERSION; external 'nwipxspx' index  2200;}
function STARTSENDINGPKTSTIMED; external 'nwipxspx' index  1207;
function GETDIAGNOSTICRESPONSE; external 'nwipxspx' index  1229;
{function BEGINDIAGNOSTICS; external 'nwipxspx' index  1213;}
function QUERYSERVICES; external 'nwipxspx' index  1102;
function IPXGETMAXPACKETSIZE; external 'nwipxspx' index  1024;
function GETBRIDGESTATISTICS; external 'nwipxspx' index  1225;
function GETIPXSTATISTICS; external 'nwipxspx' index  1203;
function GETSERVERNAMETABLE; external 'nwipxspx' index  1219;
procedure SPXABORTCONNECTION; external 'nwipxspx' index  1016;
function GETSPXSTATISTICS; external 'nwipxspx' index  1204;
function GETMLIDCONFIGURATION; external 'nwipxspx' index  1246;
procedure IPXDISCONNECTFROMTARGET; external 'nwipxspx' index  1013;
function GETALLKNOWNSERVERS; external 'nwipxspx' index  1224;
function GETNLSERVERSTATS; external 'nwipxspx' index  1263;
function GETMLIDLIST; external 'nwipxspx' index  1245;
function GETBRIDGEDRIVERSTATUS; external 'nwipxspx' index  1210;
function GETSHELLADDRESS; external 'nwipxspx' index  1220;
function IPXGETRETRYCOUNT; external 'nwipxspx' index  1025;
function SPXESTABLISHCONNECTION; external 'nwipxspx' index  1017;
function GETMACHINEDYNAMICINFO; external 'nwipxspx' index  1244;
procedure IPXSENDPACKET; external 'nwipxspx' index  1009;
function GETLOCALTABLES; external 'nwipxspx' index  1226;
function IPXCANCELEVENT; external 'nwipxspx' index  1011;
function GETNLCACHESTATS; external 'nwipxspx' index  1260;
function GETPROTOCOLSTACKSTATISTICS; external 'nwipxspx' index  1251;
function GETLSLCONFIGURATION; external 'nwipxspx' index  1242;
function ABORTSENDINGPACKETS; external 'nwipxspx' index  1201;
procedure RESPONDTOLOCALQUERY; external 'nwipxspx' index  1106;
{function DLLVERSIONSTRING; external 'nwipxspx' index  2201;}
procedure IPXYIELD; external 'nwipxspx' index  1105;

end.
