unit Unit1;

interface

uses
  SysUtils, WinTypes, WinProcs, Messages, Classes, Graphics, Controls,
  Forms, Dialogs, StdCtrls, Nwconn;

type
  TForm1 = class(TForm)
    Button1: TButton;
    NWConn1: TNWConn;
    Edit1: TEdit;
    Edit2: TEdit;
    Edit3: TEdit;
    Edit4: TEdit;
    Button2: TButton;
    Button3: TButton;
    Button4: TButton;
    Edit5: TEdit;
    Edit6: TEdit;
    Edit7: TEdit;
    Edit8: TEdit;
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure Button4Click(Sender: TObject);
    procedure Scan;
    procedure FormCreate(Sender: TObject);
  private
    { Private-dclarations }
  public
    { Public-dclarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.DFM}

uses Unit2, Unit3;

procedure TForm1.Button1Click(Sender: TObject);
begin
  NWConn1.logout;
  Scan;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  NWConn1.detach;
  Scan;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
    if (Form3.ShowModal = mrOk) then
    begin
        NWConn1.attach (Form3.Edit1.Text);
        Scan;
    end;
end;

procedure TForm1.Button4Click(Sender: TObject);
begin
    if (Form2.ShowModal = mrOk) then
    begin
        NWConn1.login (Form2.Edit2.Text, Form2.Edit3.Text);
        Scan;
    end;
end;

procedure TForm1.Scan;
begin
    Edit1.Text:=IntToStr(NWConn1.ConnNumber);
    Edit2.Text:=IntToStr(NWConn1.Handle);
    Edit3.Text:=NWConn1.ServerName;
    Edit4.Text:=NWConn1.UserName;
    Edit5.Text:=InttoHex(longint(NWConn1.UserNet[0]),2) +
                InttoHex(longint(NWConn1.UserNet[1]),2) +
                InttoHex(longint(NWConn1.UserNet[2]),2) +
                InttoHex(longint(NWConn1.UserNet[3]),2);
    Edit6.Text:=InttoHex(longint(NWConn1.UserNode[0]),2)+
                InttoHex(longint(NWConn1.UserNode[1]),2)+
                InttoHex(longint(NWConn1.UserNode[2]),2)+
                InttoHex(longint(NWConn1.UserNode[3]),2)+
                InttoHex(longint(NWConn1.UserNode[4]),2)+
                InttoHex(longint(NWConn1.UserNode[5]),2);
    Edit7.Text:=InttoHex(longint(NWConn1.ServerNet[0]),2) +
                InttoHex(longint(NWConn1.ServerNet[1]),2) +
                InttoHex(longint(NWConn1.ServerNet[2]),2) +
                InttoHex(longint(NWConn1.ServerNet[3]),2);
    Edit8.Text:=InttoHex(longint(NWConn1.ServerNode[0]),2)+
                InttoHex(longint(NWConn1.ServerNode[1]),2)+
                InttoHex(longint(NWConn1.ServerNode[2]),2)+
                InttoHex(longint(NWConn1.ServerNode[3]),2)+
                InttoHex(longint(NWConn1.ServerNode[4]),2)+
                InttoHex(longint(NWConn1.ServerNode[5]),2);
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  Scan;
end;

end.
