unit Principa;

interface

uses Forms, Nwconn, ExtCtrls, Tabs, Ogrille, Mask, StdCtrls, Buttons,
        Controls, Classes, WinTypes, Graphics, WinProcs,
        TNWBind, Newtli;

type                  
  TSBInfos = class
    Titre: String;
    TypeObj: Word;
    Source: TObject;
  public
    constructor Create(ATitre :String; ATypeObj: LongInt; ASource: TObject);
  end;

  TFormPrincipale = class(TForm)
    Panel1: TPanel;
    EditMasqueObjects: TEdit;
    Label1: TLabel;
    Label2: TLabel;
    ListBoxObjects: TListBox;
    Panel2: TPanel;
    NotebookObjects: TNotebook;
    ComboBoxObjects: TComboBox;
    NotebookUti: TNotebook;
    Label3: TLabel;
    DescriptionUti: TMemo;
    Label4: TLabel;
    LocationsUti: TComboBox;
    Label5: TLabel;
    DepartementsUti: TComboBox;
    NotebookGrp: TNotebook;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    DescriptionGrp: TMemo;
    LocationsGrp: TComboBox;
    DepartementsGrp: TComboBox;
    Label9: TLabel;
    OrganisationsGrp: TComboBox;
    LabelNomObj: TLabel;
    MembresGrp: TListBox;
    VoirAussiGrp: TListBox;
    TrusteesGrp: TListBox;
    ImageUti: TImage;
    ImageGrp: TImage;
    ImageServFic: TImage;
    ImageServPrt: TImage;
    ImagePrtQ: TImage;
    ImageAutre: TImage;
    TabSetUti: TTabSet;
    TabSetGrp: TTabSet;
    NotebookPrtSvr: TNotebook;
    TabSetPrtSvr: TTabSet;
    DescriptionPrtSvr: TMemo;
    Label10: TLabel;
    Label11: TLabel;
    LocationsPrtSvr: TComboBox;
    DepartementsPrtSvr: TComboBox;
    Label12: TLabel;
    Label13: TLabel;
    OrganisationsPrtSvr: TComboBox;
    Label15: TLabel;
    NomPublicPrtSvr: TEdit;
    CheckBox1: TCheckBox;
    UtilisateursPrtSvr: TListBox;
    OperateursPrtSvr: TListBox;
    ImageProf: TImage;
    Label14: TLabel;
    OperateursFicSvr: TListBox;
    Label16: TLabel;
    AdresseNet: TLabel;
    NotebookPrtQ: TNotebook;
    TabSetPrtQ: TTabSet;
    DescriptionPrtQ: TMemo;
    Label17: TLabel;
    Label18: TLabel;
    LocationsPrtQ: TComboBox;
    Label19: TLabel;
    DepartementsPrtQ: TComboBox;
    Label20: TLabel;
    OrganisationsPrtQ: TComboBox;
    OperateursPrtQ: TListBox;
    Label21: TLabel;
    FichierPhysiquePrtQ: TEdit;
    UtilisateursPrtQ: TListBox;
    NotebookProf: TNotebook;
    TabSetProf: TTabSet;
    Label22: TLabel;
    DescriptionProf: TMemo;
    Label23: TLabel;
    LocationsProf: TComboBox;
    Label24: TLabel;
    DepartementsProf: TComboBox;
    Label25: TLabel;
    OrganisationsProf: TComboBox;
    VoirAussiProf: TListBox;
    Label26: TLabel;
    NomUti: TEdit;
    Label27: TLabel;
    Label28: TLabel;
    NomCompletUti: TEdit;
    SurNomUti: TEdit;
    Label29: TLabel;
    TelephonesUti: TComboBox;
    Label30: TLabel;
    TitresUti: TComboBox;
    Label31: TLabel;
    InitialeUti: TEdit;
    GroupesUti: TListBox;
    EquivalencesUti: TListBox;
    VoirAussiUti: TListBox;
    Label32: TLabel;
    RueUti: TEdit;
    Label33: TLabel;
    CentreUti: TEdit;
    Label34: TLabel;
    VilleUti: TEdit;
    Label35: TLabel;
    EtatUti: TEdit;
    Label36: TLabel;
    CPUti: TEdit;
    Label37: TLabel;
    CreditUti: TCheckBox;
    Label38: TLabel;
    CompteDesactiveUti: TCheckBox;
    ADateExpirationUti: TCheckBox;
    Label39: TLabel;
    ANbConnectionLimiteUti: TCheckBox;
    Label41: TLabel;
    DateExpirationUti: TMaskEdit;
    BalanceUti: TEdit;
    LowBalanceUti: TEdit;
    NbConnectionLimiteUti: TEdit;
    Label40: TLabel;
    Label42: TLabel;
    Label43: TLabel;
    DateLastLoginUti: TMaskEdit;
    HeureLastLoginUti: TMaskEdit;
    GrilleUti: TGrille;
    LabelGrilleUti: TLabel;
    Bevel1: TBevel;
    Label44: TLabel;
    Label45: TLabel;
    BBGrilleAbandonUti: TBitBtn;
    BBGrilleOKUti: TBitBtn;
    Panel3: TPanel;
    Label47: TLabel;
    Bevel2: TBevel;
    PeutChangerPasswordUti: TCheckBox;
    PasswordObligatoireUti: TCheckBox;
    Label46: TLabel;
    TailleMiniPasswordUti: TEdit;
    ChgtObligatoireUti: TCheckBox;
    Label48: TLabel;
    NbJoursChgtUti: TEdit;
    Label49: TLabel;
    DateExpirationPasswordUti: TMaskEdit;
    PasswordUniqueUti: TCheckBox;
    DelaiGraceUti: TCheckBox;
    Label50: TLabel;
    Label51: TLabel;
    NbLoginPermisUti: TEdit;
    NbLoginRestantUti: TEdit;
    TimerMemoireDispo: TTimer;
    NWConn: TNWConn;
    TrusteesUti: TListBox;
    TrusteesProf: TListBox;
    ReadUti: TLabel;
    WriteUti: TLabel;
    CreateUti: TLabel;
    DeleteUti: TLabel;
    ModifyUti: TLabel;
    ProprioUti: TLabel;
    OpenUti: TLabel;
    SearchUti: TLabel;
    ReadGrp: TLabel;
    WriteGrp: TLabel;
    OpenGrp: TLabel;
    ProprioGrp: TLabel;
    DeleteGrp: TLabel;
    CreateGrp: TLabel;
    SearchGrp: TLabel;
    ModifyGrp: TLabel;
    WriteProf: TLabel;
    OpenProf: TLabel;
    ProprioProf: TLabel;
    DeleteProf: TLabel;
    CreateProf: TLabel;
    SearchProf: TLabel;
    ModifyProf: TLabel;
    ReadProf: TLabel;
    Label52: TLabel;
    MemoireDispo: TLabel;
    Bevel3: TBevel;
    BBMagicNLM: TBitBtn;
    BBBinderyBrute: TBitBtn;
    BBTitresUti: TBitBtn;
    BBLocationsUti: TBitBtn;
    BBDepartementsUti: TBitBtn;
    BBTelephoneUti: TBitBtn;
    BBTrusteesUti: TBitBtn;
    BBChangeTrusteesUti: TBitBtn;
    BBGroupesUti: TBitBtn;
    BBEquivalencesUti: TBitBtn;
    BBVoirAussiUti: TBitBtn;
    BBLocationsGrp: TBitBtn;
    BBDepartementsGrp: TBitBtn;
    BBOrganisationsGrp: TBitBtn;
    BBMembresGrp: TBitBtn;
    BBTrusteesGrp: TBitBtn;
    BBChangeTrusteesGrp: TBitBtn;
    BBVoirAussiGrp: TBitBtn;
    BBOperateursFicSvr: TBitBtn;
    BBLocationsPrtSvr: TBitBtn;
    BBDepartmentsPrtSvr: TBitBtn;
    BBOrganisationsPrtSvr: TBitBtn;
    BBUtilisateursPrtSvr: TBitBtn;
    BBOperateursPrtSvr: TBitBtn;
    BBLocationsPrtS: TBitBtn;
    BBDepartementsPrtQ: TBitBtn;
    BBOrganisationsPrtQ: TBitBtn;
    BBOperateursPrtQ: TBitBtn;
    BitBtn1: TBitBtn;
    BBLocationsProf: TBitBtn;
    BBDepartementsProf: TBitBtn;
    BBOrganisationsProf: TBitBtn;
    BBTrusteesProf: TBitBtn;
    BBChangeTrusteesProf: TBitBtn;
    BBVoirAussiProf: TBitBtn;
    procedure FormCreate(Sender: TObject);
    procedure ComboBoxObjectsChange(Sender: TObject);
    procedure EditMasqueObjectsExit(Sender: TObject);
    procedure ListBoxObjectsClick(Sender: TObject);
    procedure DescriptionExit(Sender: TObject);
    procedure BBClick(Sender: TObject);
    procedure DrawItem(Control: TWinControl; Index: Integer; Rect: TRect; State: TOwnerDrawState);
    procedure TabSetUtiChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
    procedure TabSetGrpChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
    procedure TabSetPrtSvrChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
    procedure TabSetPrtQChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
    procedure TabSetProfChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
    procedure EditExit(Sender: TObject);
    procedure CreditUtiClick(Sender: TObject);
    procedure CompteDesactiveUtiClick(Sender: TObject);
    procedure ADateExpirationUtiClick(Sender: TObject);
    procedure ANbConnectionLimiteUtiClick(Sender: TObject);
    procedure GrilleUtiAtMouseMove(Sender: TObject; Shift: TShiftState; X,Y: Integer);
    procedure GrilleUtiAtMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure BBGrilleAbandonUtiClick(Sender: TObject);
    procedure BBGrilleOKUtiClick(Sender: TObject);
    procedure GrilleUtiAtMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
    procedure PeutChangerPasswordUtiClick(Sender: TObject);
    procedure PasswordObligatoireUtiClick(Sender: TObject);
    procedure ChgtObligatoireUtiClick(Sender: TObject);
    procedure DelaiGraceUtiClick(Sender: TObject);
    procedure PasswordUniqueUtiClick(Sender: TObject);
    procedure BBBrowserClick(Sender: TObject);
    procedure TimerMemoireDispoTimer(Sender: TObject);
    procedure TrusteesUtiClick(Sender: TObject);
    procedure BBChangeTrusteesUtiClick(Sender: TObject);
    procedure BBChangeTrusteesGrpClick(Sender: TObject);
    procedure TrusteesGrpClick(Sender: TObject);
    procedure TrusteesProfClick(Sender: TObject);
    procedure BBChangeTrusteesProfClick(Sender: TObject);
    procedure BBTrusteesProfClick(Sender: TObject);
    procedure BBTrusteesUtiClick(Sender: TObject);
    procedure BBTrusteesGrpClick(Sender: TObject);
    procedure FormClose(Sender: TObject; var Action: TCloseAction);
    procedure BBMagicNLMClick(Sender: TObject);
  private
    { Private-dclarations }
    procedure ReafficheListObjects;
    procedure AfficheInfosUtilisateur;
    procedure AfficheInfosGroupe;
    procedure AfficheInfosPrtSvr;
    procedure AfficheInfosFicSvr;
    procedure AfficheInfosPrtQ;
    procedure AfficheInfosProf;
    procedure CopyObjListe(Source, Dest: TStrings);
  public
    { Public-dclarations }
  end;

var FormPrincipale: TFormPrincipale;
    Bindery: TNWBindery;

implementation

{$R *.DFM}

uses SysUtils, Dialogs,
        TNWObj, TNWGroup, TNWUti, TNWSvrPr, TNWSvrFi, TNWFilPr, TNWProf, TNWTrust,
        NWConst2, Boite1, SB_Const, Browser, Boite4, Boite5, Boite8, Boite10, NLMUti;

var ObjSelectionne: TNWObject;
    ListSB: TList;
    BoutonSouris: Char;
    Uti: TNWUtilisateur;
    Grp: TNWGroupe;
    FicServ: TNWObject;
    PrtServ: TNWObject;
    QPrt: TNWObject;
    Profile: TNWProfile;


procedure TFormPrincipale.BBMagicNLMClick(Sender: TObject);
var OldState: Boolean;
begin
    OldState := FormUtiNLM.RBNormal.Checked;
    if ConnexionNLM then
        if (FormUtiNLM.ShowModal = mrOK) then
        begin
            if FormUtiNLM.RBNormal.Checked then
                ArreteNLM
            else
                if ActiveNLM(FormUtiNLM.Password.Text) then
                    MessageDlg('Mot de passe correct', mtInformation, [mbOK], 0)
                else
                begin
                    MessageDlg('Mot de passe incorrecte', mtError, [mbOk], 0);
                    FormUtiNLM.RBNormal.Checked := True;
                end;
            if (OldState <> FormUtiNLM.RBNormal.Checked) then
            begin
                ReafficheListObjects;
                LabelNomObj.Caption := '';
            end;
        end;
end;


procedure TFormPrincipale.BBBrowserClick(Sender: TObject);
begin
    FormBrowse.Show;
end;

{************************* P O U R   S P E E D   B O U T O N *************************}
constructor TSBInfos.Create(ATitre :String; ATypeObj: LongInt; ASource: TObject);
begin
    Titre := ATitre;
    TypeObj := ATypeObj;
    Source := ASource;
end;

{*************************** P R I V A T E ******************************}
procedure TFormPrincipale.ReafficheListObjects;
var TypeObj: Word;
begin
    Patientez.Show;
    Patientez.Update;
    case ComboBoxObjects.ItemIndex of
        0: TypeObj := OT_USER;
        1: TypeObj := OT_USER_GROUP;
        2: TypeObj := OT_FILE_SERVER;
        3: TypeObj := OT_PRINT_SERVER;
        4: TypeObj := OT_PRINT_QUEUE;
        5: TypeObj := $3501; {PROFILE}
    end;
    Bindery.ChercheObjects(ListBoxObjects.Items, EditMasqueObjects.Text, TypeObj);
    Patientez.Hide;
end;

{*************************** P U B L I C ********************************}
procedure TFormPrincipale.FormCreate(Sender: TObject);
var SBInfos: TSBInfos;
begin
    InitialisationNLM(Self, NWConn.HServerNet, NWConn.HServerNode); 
    ShowHint := True;
    BoutonSouris := ' ';
    TabSetProf.Tabs := NoteBookProf.Pages;
    TabSetPrtQ.Tabs := NoteBookPrtQ.Pages;
    TabSetUti.Tabs := NoteBookUti.Pages;
    TabSetGrp.Tabs := NoteBookGrp.Pages;
    TabSetPrtSvr.Tabs := NoteBookPrtSvr.Pages;
    Bindery := TNWBindery.Create(Self);
    Bindery.NwConn := NwConn;
    Uti := TNWUtilisateur.Create(Bindery, 0, 'Utilisateur Bidon pour CB', 0, 0, 0, 0);
    Grp := TNWGroupe.Create(Bindery, 0, 'Groupe Bidon pour CB', 0, 0, 0, 0);
    FicServ := TNWServeurFichier.Create(Bindery, 0, 'Serveur Fichier Bidon pour CB', 0, 0, 0, 0);
    PrtServ := TNWServeurImprimante.Create(Bindery, 0, 'Serveur Imprimante Bidon pour CB', 0, 0, 0, 0);
    QPrt := TNWFileImpression.Create(Bindery, 0, 'Printer Queue Bidon pour CB', 0, 0, 0, 0);
    Profile := TNWProfile.Create(Bindery, 0, 'Profile Bidon pour CB', 0, 0, 0, 0);
    ComboBoxObjects.Items.AddObject('Utilisateurs', Uti);
    ComboBoxObjects.Items.AddObject('Groupes', Grp);
    ComboBoxObjects.Items.AddObject('Serveurs Fichiers', FicServ);
    ComboBoxObjects.Items.AddObject('Serveurs Imprimantes', PrtServ);
    ComboBoxObjects.Items.AddObject('Files d''impression', QPrt);
    ComboBoxObjects.Items.AddObject('Profile', Profile);

    ComboBoxObjects.ItemIndex := 0;
    Patientez := TPatientez.Create(Self);
    ReafficheListObjects;
    ListSB := TList.Create;
    SBInfos := TSBInfos.Create('Departements', SB_CHAINE, DepartementsUti); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Departements', SB_CHAINE, DepartementsGrp); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Locations', SB_CHAINE, LocationsUti); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Locations', SB_CHAINE, LocationsGrp); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Organisations', SB_CHAINE, OrganisationsGrp); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Membres', SB_UTILISATEUR, MembresGrp); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Voir Aussi', SB_TOUS, VoirAussiGrp); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Locations', SB_CHAINE, LocationsPrtSvr); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Departements', SB_CHAINE, DepartementsPrtSvr); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Organisations', SB_CHAINE, OrganisationsPrtSvr); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Utilisateurs', SB_UTILISATEUR + SB_GROUPE, UtilisateursPrtSvr); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Operateurs', SB_UTILISATEUR + SB_GROUPE, OperateursPrtSvr); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Operateurs', SB_TOUS, OperateursFicSvr); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Locations', SB_CHAINE, LocationsPrtQ); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Departements', SB_CHAINE, DepartementsPrtQ); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Organisations', SB_CHAINE, OrganisationsPrtQ); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Operateurs', SB_UTILISATEUR + SB_GROUPE, OperateursPrtQ); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Utilisateurs', SB_UTILISATEUR + SB_GROUPE, UtilisateursPrtQ); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Locations', SB_CHAINE, LocationsProf); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Departements', SB_CHAINE, DepartementsProf); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Organisations', SB_CHAINE, OrganisationsProf); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Voir aussi', SB_TOUS, VoirAussiProf); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Titres', SB_CHAINE, TitresUti); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Numeros De tlphone', SB_CHAINE, TelephonesUti); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Groupes', SB_GROUPE, GroupesUti); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Equivalences', SB_TOUS, EquivalencesUti); ListSB.Add(SBInfos);
    SBInfos := TSBInfos.Create('Voir aussi', SB_TOUS, VoirAussiUti); ListSB.Add(SBInfos);
end;


procedure TFormPrincipale.FormClose(Sender: TObject; var Action: TCloseAction);
begin
    FinNLM;
    Patientez.Free;
    Bindery.Free;
    Uti.Free;
    Grp.Free;
    FicServ.Free;
    PrtServ.Free;
    QPrt.Free;
    Profile.Free;
    ListSB.Free;
end;


procedure TFormPrincipale.ComboBoxObjectsChange(Sender: TObject);
begin
    NoteBookObjects.PageIndex := ComboBoxObjects.ItemIndex;
    case NoteBookObjects.PageIndex of
        0: TabSetUti.TabIndex := 0;
        1: TabSetGrp.TabIndex := 0;
        2: TabSetPrtSvr.TabIndex := 0;
        4: TabSetPrtQ.TabIndex := 0;
        5: TabSetProf.TabIndex := 0;
    end;
    ReafficheListObjects;
    LabelNomObj.Caption := '';
end;


procedure TFormPrincipale.EditMasqueObjectsExit(Sender: TObject);
begin
    if (EditMasqueObjects.Text = '') then EditMasqueObjects.Text := '*';
    LabelNomObj.Caption := '';
    ReafficheListObjects;
end;


procedure TFormPrincipale.ListBoxObjectsClick(Sender: TObject);
begin
    Patientez.Show;
    Patientez.Update;
    ObjSelectionne := TNWObject(ListBoxObjects.Items.Objects[ListBoxObjects.ItemIndex]);
    LabelNomObj.Caption := ObjSelectionne.ObjNom;
    case ComboBoxObjects.ItemIndex of
        0: AfficheInfosUtilisateur;
        1: AfficheInfosGroupe;
        2: AfficheInfosFicSvr;
        3: AfficheInfosPrtSvr;
        4: AfficheInfosPrtQ;
        5: AfficheInfosProf;
    end;
    Patientez.Hide;
end;

{*********************************** P R O F I L E ********************************************}
procedure TFormPrincipale.AfficheInfosProf;
begin
    ObjSelectionne.ChercheDescription(DescriptionProf.Lines);
    ObjSelectionne.ChercheLocations(LocationsProf.Items);
    LocationsProf.ItemIndex := 0;
    ObjSelectionne.ChercheDepartements(DepartementsProf.Items);
    DepartementsProf.ItemIndex := 0;
    ObjSelectionne.ChercheOrganisations(OrganisationsProf.Items);
    OrganisationsProf.ItemIndex := 0;
    ObjSelectionne.ChercheToutObjects(VoirAussiProf.Items);
    {Trustees}
    (ObjSelectionne as TNWProfile).ChercheTrusteePaths(TrusteesProf.Items);
    ReadProf.Font.Color := clGray;
    WriteProf.Font.Color := clGray;
    OpenProf.Font.Color := clGray;
    CreateProf.Font.Color := clGray;
    DeleteProf.Font.Color := clGray;
    ProprioProf.Font.Color := clGray;
    SearchProf.Font.Color := clGray;
    ModifyProf.Font.Color := clGray;
end;

procedure TFormPrincipale.TabSetProfChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
begin
    NoteBookProf.PageIndex := NewTab;
end;

procedure TFormPrincipale.TrusteesProfClick(Sender: TObject);
var Droit: TDroit;
begin
    if (LabelNomObj.Caption = '') then Exit;
    Droit := (TrusteesProf.Items.Objects[TrusteesProf.ItemIndex] as TDroit);
    if ((Droit.Droit and $01) <> 0) then
        ReadProf.Font.Color := clBlack
    else
        ReadProf.Font.Color := clGray;
    if ((Droit.Droit and $02) <> 0) then
        WriteProf.Font.Color := clBlack
    else
        WriteProf.Font.Color := clGray;
    if ((Droit.Droit and $04) <> 0) then
        OpenProf.Font.Color := clBlack
    else
        OpenProf.Font.Color := clGray;
    if ((Droit.Droit and $08) <> 0) then
        CreateProf.Font.Color := clBlack
    else
        CreateProf.Font.Color := clGray;
    if ((Droit.Droit and $10) <> 0) then
        DeleteProf.Font.Color := clBlack
    else
        DeleteProf.Font.Color := clGray;
    if ((Droit.Droit and $20) <> 0) then
        ProprioProf.Font.Color := clBlack
    else
        ProprioProf.Font.Color := clGray;
    if ((Droit.Droit and $40) <> 0) then
        SearchProf.Font.Color := clBlack
    else
        SearchProf.Font.Color := clGray;
    if ((Droit.Droit and $80) <> 0) then
        ModifyProf.Font.Color := clBlack
    else
        ModifyProf.Font.Color := clGray;
end;

procedure TFormPrincipale.BBChangeTrusteesProfClick(Sender: TObject);
var Temp: Integer;
begin
    if (LabelNomObj.Caption = '') or (TrusteesProf.ItemIndex = -1) then Exit;
    FormTrustees.Securite := (TrusteesProf.Items.Objects[TrusteesProf.ItemIndex] as TDroit).Droit;
    if (FormTrustees.ShowModal = mrOK) then
    begin
        (ObjSelectionne as TNWProfile).AssignTrusteePath(TrusteesProf.Items.Strings[TrusteesProf.ItemIndex],
                                FormTrustees.Securite);
        Temp := TrusteesProf.ItemIndex;
        Patientez.Show;
        Patientez.Update;
        (ObjSelectionne as TNWProfile).ChercheTrusteePaths(TrusteesProf.Items);
        Patientez.Hide;
        if (TrusteesProf.Items.Count > Temp) then
        begin
            TrusteesProf.ItemIndex := Temp;
            TrusteesProfClick(Self);
        end
        else
        begin
            ReadProf.Font.Color := clGray;
            WriteProf.Font.Color := clGray;
            OpenProf.Font.Color := clGray;
            CreateProf.Font.Color := clGray;
            DeleteProf.Font.Color := clGray;
            ProprioProf.Font.Color := clGray;
            SearchProf.Font.Color := clGray;
            ModifyProf.Font.Color := clGray;
        end;
    end;
end;

procedure TFormPrincipale.BBTrusteesProfClick(Sender: TObject);
var Compteur: Integer;
begin
    (ObjSelectionne as TNWProfile).ChercheTrusteePaths(FormTrust.Trustees.Items);
    if (FormTrust.ShowModal = mrOK) then
    begin
        Patientez.Show;
        Patientez.Update;
        for Compteur := 0 to TrusteesProf.Items.Count-1 do
            if (FormTrust.Trustees.Items.IndexOf(TrusteesProf.Items.Strings[Compteur]) = -1) then
                (ObjSelectionne as TNWProfile).AssignTrusteePath(TrusteesProf.Items.Strings[Compteur], 0);
        for Compteur := 0 to FormTrust.Trustees.Items.Count-1 do
            if (TrusteesProf.Items.IndexOf(FormTrust.Trustees.Items.Strings[Compteur]) = -1) then
                (ObjSelectionne as TNWProfile).AssignTrusteePath(FormTrust.Trustees.Items.Strings[Compteur],
                                                                (FormTrust.Trustees.Items.Objects[Compteur] as TDroit).Droit);
        (ObjSelectionne as TNWProfile).ChercheTrusteePaths(TrusteesProf.Items);
        Patientez.Hide;
    end;
end;


{****************************** P R I N T E R    Q U E U E ************************************}
procedure TFormPrincipale.AfficheInfosPrtQ;
begin
    ObjSelectionne.ChercheDescription(DescriptionPrtQ.Lines);
    ObjSelectionne.ChercheLocations(LocationsPrtQ.Items);
    LocationsPrtQ.ItemIndex := 0;
    ObjSelectionne.ChercheDepartements(DepartementsPrtQ.Items);
    DepartementsPrtQ.ItemIndex := 0;
    ObjSelectionne.ChercheOrganisations(OrganisationsPrtQ.Items);
    OrganisationsPrtQ.ItemIndex := 0;
    FichierPhysiquePrtQ.Text := (ObjSelectionne as TNWFileImpression).ChercheFichierPhysique;
    (ObjSelectionne as TNWFileImpression).ChercheOperateurs(OperateursPrtQ.Items);
    (ObjSelectionne as TNWFileImpression).ChercheUtilisateurs(UtilisateursPrtQ.Items);
end;

procedure TFormPrincipale.TabSetPrtQChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
begin
    NoteBookPrtQ.PageIndex := NewTab;
end;

{******************************** S E R V E U R    F I C H I E R *****************************}
procedure TFormPrincipale.AfficheInfosFicSvr;
begin
    (ObjSelectionne as TNWServeurFichier).ChercheOperateurs(OperateursFicSvr.Items);
    AdresseNet.Caption := (ObjSelectionne as TNWServeurFichier).ChercheAdresseNet;
end;

{****************************** S E R V E U R    I M P R I M A N T E ************************}
procedure TFormPrincipale.AfficheInfosPrtSvr;
begin
    ObjSelectionne.ChercheDescription(DescriptionPrtSvr.Lines);
    ObjSelectionne.ChercheLocations(LocationsPrtSvr.Items);
    ObjSelectionne.ChercheDepartements(DepartementsPrtSvr.Items);
    DepartementsPrtSvr.ItemIndex := 0;
    ObjSelectionne.ChercheOrganisations(OrganisationsPrtSvr.Items);
    OrganisationsPrtSvr.ItemIndex := 0;
    NomPublicPrtSvr.Text := (ObjSelectionne as TNWServeurImprimante).ChercheNomPublic;
    (ObjSelectionne as TNWServeurImprimante).ChercheUtilisateurs(UtilisateursPrtSvr.Items);
    (ObjSelectionne as TNWServeurImprimante).ChercheOperateurs(OperateursPrtSvr.Items);
end;

procedure TFormPrincipale.TabSetPrtSvrChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
begin
    NoteBookPrtSvr.PageIndex := NewTab;
end;


{******************************  G R O U P E  **********************************************}
procedure TFormPrincipale.AfficheInfosGroupe;
begin
    ObjSelectionne.ChercheDescription(DescriptionGrp.Lines);
    ObjSelectionne.ChercheLocations(LocationsGrp.Items);
    LocationsGrp.ItemIndex := 0;
    ObjSelectionne.ChercheDepartements(DepartementsGrp.Items);
    DepartementsGrp.ItemIndex := 0;
    ObjSelectionne.ChercheOrganisations(OrganisationsGrp.Items);
    OrganisationsGrp.ItemIndex := 0;
    (ObjSelectionne as TNWGroupe).ChercheMembres(MembresGrp.Items);
    ObjSelectionne.ChercheToutObjects(VoirAussiGrp.Items);
    {Trustees}
    (ObjSelectionne as TNWGroupe).ChercheTrusteePaths(TrusteesGrp.Items);
    ReadGrp.Font.Color := clGray;
    WriteGrp.Font.Color := clGray;
    OpenGrp.Font.Color := clGray;
    CreateGrp.Font.Color := clGray;
    DeleteGrp.Font.Color := clGray;
    ProprioGrp.Font.Color := clGray;
    SearchGrp.Font.Color := clGray;
    ModifyGrp.Font.Color := clGray;
end;


procedure TFormPrincipale.TabSetGrpChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
begin
    NoteBookGrp.PageIndex := NewTab;
end;

procedure TFormPrincipale.TrusteesGrpClick(Sender: TObject);
var Droit: TDroit;
begin
    if (LabelNomObj.Caption = '') then Exit;
    Droit := (TrusteesGrp.Items.Objects[TrusteesGrp.ItemIndex] as TDroit);
    if ((Droit.Droit and $01) <> 0) then
        ReadGrp.Font.Color := clBlack
    else
        ReadGrp.Font.Color := clGray;
    if ((Droit.Droit and $02) <> 0) then
        WriteGrp.Font.Color := clBlack
    else
        WriteGrp.Font.Color := clGray;
    if ((Droit.Droit and $04) <> 0) then
        OpenGrp.Font.Color := clBlack
    else
        OpenGrp.Font.Color := clGray;
    if ((Droit.Droit and $08) <> 0) then
        CreateGrp.Font.Color := clBlack
    else
        CreateGrp.Font.Color := clGray;
    if ((Droit.Droit and $10) <> 0) then
        DeleteGrp.Font.Color := clBlack
    else
        DeleteGrp.Font.Color := clGray;
    if ((Droit.Droit and $20) <> 0) then
        ProprioGrp.Font.Color := clBlack
    else
        ProprioGrp.Font.Color := clGray;
    if ((Droit.Droit and $40) <> 0) then
        SearchGrp.Font.Color := clBlack
    else
        SearchGrp.Font.Color := clGray;
    if ((Droit.Droit and $80) <> 0) then
        ModifyGrp.Font.Color := clBlack
    else
        ModifyGrp.Font.Color := clGray;
end;

procedure TFormPrincipale.BBChangeTrusteesGrpClick(Sender: TObject);
var Temp: Integer;
begin
    if (LabelNomObj.Caption = '') or (TrusteesGrp.ItemIndex = -1) then Exit;
    FormTrustees.Securite := (TrusteesGrp.Items.Objects[TrusteesGrp.ItemIndex] as TDroit).Droit;
    if (FormTrustees.ShowModal = mrOK) then
    begin
        (ObjSelectionne as TNWGroupe).AssignTrusteePath(TrusteesGrp.Items.Strings[TrusteesGrp.ItemIndex],
                                FormTrustees.Securite);
        Temp := TrusteesGrp.ItemIndex;
        Patientez.Show;
        Patientez.Update;
        (ObjSelectionne as TNWGroupe).ChercheTrusteePaths(TrusteesGrp.Items);
        Patientez.Hide;
        if (TrusteesGrp.Items.Count > Temp) then
        begin
            TrusteesGrp.ItemIndex := Temp;
            TrusteesGrpClick(Self);
        end
        else
        begin
            ReadGrp.Font.Color := clGray;
            WriteGrp.Font.Color := clGray;
            OpenGrp.Font.Color := clGray;
            CreateGrp.Font.Color := clGray;
            DeleteGrp.Font.Color := clGray;
            ProprioGrp.Font.Color := clGray;
            SearchGrp.Font.Color := clGray;
            ModifyGrp.Font.Color := clGray;
        end;
    end;
end;

procedure TFormPrincipale.BBTrusteesGrpClick(Sender: TObject);
var Compteur: Integer;
begin
    (ObjSelectionne as TNWGroupe).ChercheTrusteePaths(FormTrust.Trustees.Items);
    if (FormTrust.ShowModal = mrOK) then
    begin
        Patientez.Show;
        Patientez.Update;
        for Compteur := 0 to TrusteesGrp.Items.Count-1 do
            if (FormTrust.Trustees.Items.IndexOf(TrusteesGrp.Items.Strings[Compteur]) = -1) then
                (ObjSelectionne as TNWGroupe).AssignTrusteePath(TrusteesGrp.Items.Strings[Compteur], 0);
        for Compteur := 0 to FormTrust.Trustees.Items.Count-1 do
            if (TrusteesGrp.Items.IndexOf(FormTrust.Trustees.Items.Strings[Compteur]) = -1) then
                (ObjSelectionne as TNWGroupe).AssignTrusteePath(FormTrust.Trustees.Items.Strings[Compteur],
                                                                (FormTrust.Trustees.Items.Objects[Compteur] as TDroit).Droit);
        (ObjSelectionne as TNWGroupe).ChercheTrusteePaths(TrusteesGrp.Items);
        Patientez.Hide;
    end;
end;


{******************************  U T I L I S A T E U R **********************************************}
procedure TFormPrincipale.AfficheInfosUtilisateur;
var MemTemp: TMemoryStream;
    Proprio: TNWUtilisateur;
begin
    Proprio := (ObjSelectionne as TNWUtilisateur);
    NomUti.Text := Proprio.ChercheNom;
    SurnomUti.Text := Proprio.ChercheSurNom;
    NomCompletUti.Text := Proprio.ChercheNomComplet;
    InitialeUti.Text := Proprio.ChercheInitiale;
    ObjSelectionne.ChercheDescription(DescriptionUti.Lines);
    Proprio.ChercheTitres(TitresUti.Items);
    TitresUti.ItemIndex := 0;
    ObjSelectionne.ChercheLocations(LocationsUti.Items);
    LocationsUti.ItemIndex := 0;
    ObjSelectionne.ChercheDepartements(DepartementsUti.Items);
    DepartementsUti.ItemIndex := 0;
    Proprio.ChercheTelephones(TelephonesUti.Items);
    TelephonesUti.ItemIndex := 0;
    Proprio.ChercheGroupes(GroupesUti.Items);
    Proprio.ChercheEquivalences(EquivalencesUti.Items);
    ObjSelectionne.ChercheToutObjects(VoirAussiUti.Items);
    RueUti.Text := Proprio.ChercheRue;
    CentreUti.Text := Proprio.ChercheCentre;
    VilleUti.Text := Proprio.ChercheVille;
    EtatUti.Text := Proprio.ChercheEtat;
    CPUti.Text := Proprio.ChercheCP;

    Proprio.LectureBalance;
    Proprio.LectureLoginControl;
    {Login Restriction}
    BalanceUti.Text := Proprio.ChercheBalance;
    LowBalanceUti.Text := Proprio.ChercheLowBalance;
    DateExpirationUti.Text := Proprio.ChercheDateExpiration;
    NbConnectionLimiteUti.Text := Proprio.ChercheNbConnectionLimite;
    CreditUti.Checked := Proprio.ChercheCredit;
    ADateExpirationUti.Checked := Proprio.ChercheADateExpiration;
    ANbConnectionLimiteUti.Checked := Proprio.ChercheANbConnectionLimite;

    {Account Balance}
    DateLastLoginUti.Text := Proprio.ChercheDateLastLogin;
    HeureLastLoginUti.Text := Proprio.ChercheHeureLastLogin;
    CompteDesactiveUti.Checked := Proprio.ChercheCompteDesactif;

    {Restrictions Temporelles}
    MemTemp := Proprio.DonneRestrictionsTemporelle;
    GrilleUti.Memoire.LoadFromStream(MemTemp);
    GrilleUti.Refresh;
    MemTemp.Free;

    {Password description}
    TailleMiniPasswordUti.Text := Proprio.ChercheTailleMiniPassword;
    NbJoursChgtUti.Text := Proprio.ChercheNbJoursEntreChgt;
    DateExpirationPasswordUti.Text := Proprio.ChercheDateExpirationPassword;
    NbLoginPermisUti.Text := Proprio.ChercheNbLoginPermis;
    NbLoginRestantUti.Text := Proprio.ChercheNbLoginRestant;
    PeutChangerPasswordUti.Checked := Proprio.CherchePeutChangerPassWord;
    PasswordObligatoireUti.Checked := Proprio.CherchePasswordObligatoire;
    ChgtObligatoireUti.Checked := Proprio.ChercheChgtPasswordObligatoire;
    DelaiGraceUti.Checked := Proprio.ChercheDelaiGrace;
    PasswordUniqueUti.Checked := Proprio.CherchePasswordRequis;

    {Trustees}
    (ObjSelectionne as TNWUtilisateur).ChercheTrusteePaths(TrusteesUti.Items);
    ReadUti.Font.Color := clGray;
    WriteUti.Font.Color := clGray;
    OpenUti.Font.Color := clGray;
    CreateUti.Font.Color := clGray;
    DeleteUti.Font.Color := clGray;
    ProprioUti.Font.Color := clGray;
    SearchUti.Font.Color := clGray;
    ModifyUti.Font.Color := clGray;
end;

procedure TFormPrincipale.TabSetUtiChange(Sender: TObject; NewTab: Integer; var AllowChange: Boolean);
begin
    NoteBookUti.PageIndex := NewTab;
end;

{Account Balance}
procedure TFormPrincipale.CreditUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    if CreditUti.Checked then
    begin
        (ObjSelectionne as TNWUtilisateur).MetCredit;
        LowBalanceUti.Text := '';
        LowBalanceUti.Enabled := False;
    end
    else
    begin
        LowBalanceUti.Enabled := True;
        LowBalanceUti.Text := (ObjSelectionne as TNWUtilisateur).ChercheLowBalance;
    end;
end;


{Login Restriction}
procedure TFormPrincipale.CompteDesactiveUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    (ObjSelectionne as TNWUtilisateur).AssignCompteDesactif(not CompteDesactiveUti.Checked);
    if not CompteDesactiveUti.Checked then
    begin
        ADateExpirationUti.Enabled := True;
        ANbConnectionLimiteUti.Enabled := True;
    end
    else
    begin
        ADateExpirationUti.Enabled := False;
        DateExpirationUti.Enabled := False;
        ANbConnectionLimiteUti.Enabled := False;
        NbConnectionLimiteUti.Enabled := False;
    end;
end;

procedure TFormPrincipale.ADateExpirationUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    if ADateExpirationUti.Checked then
    begin
        DateExpirationUti.Text := (ObjSelectionne as TNWUtilisateur).ChercheDateExpiration;
        DateExpirationUti.Enabled := True;
    end
    else
    begin
        (ObjSelectionne as TNWUtilisateur).EnleveDateExpiration;
        DateExpirationUti.Text := '';
        DateExpirationUti.Enabled := False;
    end;
end;

procedure TFormPrincipale.ANbConnectionLimiteUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    if ANbConnectionLimiteUti.Checked then
    begin
       NbConnectionLimiteUti.Enabled := True;
       NbConnectionLimiteUti.Text := (ObjSelectionne as TNWUtilisateur).ChercheNbConnectionLimite;
    end
    else
    begin
        (ObjSelectionne as TNWUtilisateur).EnleveANbConnectionLimite;
        NbConnectionLimiteUti.Text := '';
        NbConnectionLimiteUti.Enabled := False;
    end;
end;


{Restrictions Temporelles}
procedure TFormPrincipale.GrilleUtiAtMouseMove(Sender: TObject; Shift: TShiftState; X, Y: Integer);
var Affiche: String;
    Heure: Integer;
    Reste: Integer;
begin
    case Y of
        0: Affiche := 'Dimanche';
        1: Affiche := 'Lundi';
        2: Affiche := 'Mardi';
        3: Affiche := 'Mercredi';
        4: Affiche := 'Jeudi';
        5: Affiche := 'Vendredi';
        6: Affiche := 'Samedi';
    end;
    Heure := X div 2;
    Reste := X mod 2;
    Affiche := Affiche + '  ' + IntToStr(Heure);
    if (Reste <> 0) then Affiche := Affiche + ':30';
    if (Heure >= 12) then Affiche := Affiche + ' PM'
    else Affiche := Affiche + ' AM';
    LabelGrilleUti.Caption := Affiche;
    if (LabelNomObj.Caption = '') then Exit;
    case BoutonSouris of
        'G': GrilleUti.Cells[X, Y] := 2;
        'D': GrilleUti.Cells[X, Y] := 0;
    end;
end;

procedure TFormPrincipale.GrilleUtiAtMouseDown(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
    if (LabelNomObj.Caption = '') then Exit;
    if (Button = mbLeft) then
    begin
        BoutonSouris := 'G';
        GrilleUti.Cells[X, Y] := 2;
    end;
    if (Button = mbRight) then
    begin
        BoutonSouris := 'D';
        GrilleUti.Cells[X, Y] := 0;
    end;
end;

procedure TFormPrincipale.GrilleUtiAtMouseUp(Sender: TObject; Button: TMouseButton; Shift: TShiftState; X, Y: Integer);
begin
    BoutonSouris := ' ';
end;

procedure TFormPrincipale.BBGrilleAbandonUtiClick(Sender: TObject);
var MemTemp: TMemoryStream;
begin
    if (LabelNomObj.Caption = '') then Exit;
    MemTemp := (ObjSelectionne as TNWUtilisateur).DonneRestrictionsTemporelle;
    GrilleUti.Memoire.LoadFromStream(MemTemp);
    GrilleUti.Refresh;
    MemTemp.Free;
end;

procedure TFormPrincipale.BBGrilleOKUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    (ObjSelectionne as TNWUtilisateur).AssignRestrictionsTemporelle(GrilleUti.Memoire);
    BBGrilleAbandonUtiClick(Sender);
end;


{Password Description}
procedure TFormPrincipale.PeutChangerPasswordUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    (ObjSelectionne as TNWUtilisateur).AssignPeutChangerPassword(PeutChangerPasswordUti.Checked);
    if PeutChangerPasswordUti.Checked and PasswordObligatoireUti.Checked then
    begin
        ChgtObligatoireUti.Enabled := True;
        PasswordUniqueUti.Enabled := True;
        DelaiGraceUti.Enabled := True;
        if ChgtObligatoireUti.Checked then
        begin
            NbJoursChgtUti.Enabled := True;
            DateExpirationPasswordUti.Enabled := True;
        end;
        if DelaiGraceUti.Checked then
        begin
            NbLoginPermisUti.Enabled := True;
            NbLoginRestantUti.Enabled := True;
        end;
    end
    else ChgtObligatoireUti.Enabled := False;
    if not PeutChangerPasswordUti.Checked then
    begin
        NbJoursChgtUti.Enabled := False;
        DateExpirationPasswordUti.Enabled := False;
        PasswordUniqueUti.Enabled := False;
        DelaiGraceUti.Enabled := False;
        NbLoginPermisUti.Enabled := False;
        NbLoginRestantUti.Enabled := False;
    end;
end;

procedure TFormPrincipale.PasswordObligatoireUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    TailleMiniPasswordUti.Enabled := PasswordObligatoireUti.Checked;
    if PasswordObligatoireUti.Checked then
    begin
        TailleMiniPasswordUti.Text := (ObjSelectionne as TNWUtilisateur).ChercheTailleMiniPassword;
        if PeutChangerPasswordUti.Checked then
        begin
            ChgtObligatoireUti.Enabled := True;
            PasswordUniqueUti.Enabled := True;
            DelaiGraceUti.Enabled := True;
            if ChgtObligatoireUti.Checked then
            begin
                NbJoursChgtUti.Enabled := True;
                DateExpirationPasswordUti.Enabled := True;
            end;
            if DelaiGraceUti.Checked then
            begin
                NbLoginPermisUti.Enabled := True;
                NbLoginRestantUti.Enabled := True;
            end;
        end;
    end
    else
    begin
        (ObjSelectionne as TNWUtilisateur).AssignTailleMiniPassword('0');
        TailleMiniPasswordUti.Text := '';
        ChgtObligatoireUti.Enabled := False;
        NbJoursChgtUti.Enabled := False;
        DateExpirationPasswordUti.Enabled := False;
        PasswordUniqueUti.Enabled := False;
        DelaiGraceUti.Enabled := False;
        NbLoginPermisUti.Enabled := False;
        NbLoginRestantUti.Enabled := False;
    end;
end;

procedure TFormPrincipale.ChgtObligatoireUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    NbJoursChgtUti.Enabled := ChgtObligatoireUti.Checked;
    DateExpirationPasswordUti.Enabled := ChgtObligatoireUti.Checked;
    PasswordUniqueUti.Enabled := ChgtObligatoireUti.Checked;
    DelaiGraceUti.Enabled := ChgtObligatoireUti.Checked;
    if ChgtObligatoireUti.Checked then
    begin
        NbJoursChgtUti.Text := (ObjSelectionne as TNWUtilisateur).ChercheNbJoursEntreChgt;
        DateExpirationPasswordUti.Text := (ObjSelectionne as TNWUtilisateur).ChercheDateExpirationPassword;
    end
    else
    begin
        (ObjSelectionne as TNWUtilisateur).AssignNbJoursEntreChgt('0');
        NbJoursChgtUti.Text := '';
        DateExpirationPasswordUti.Text := '';
        NbLoginPermisUti.Enabled := False;
        NbLoginRestantUti.Enabled := False;
    end;
end;

procedure TFormPrincipale.DelaiGraceUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    NbLoginRestantUti.Enabled := DelaiGraceUti.Checked;
    NbLoginPermisUti.Enabled := DelaiGraceUti.Checked;
    if DelaiGraceUti.Checked then
    begin
        NbLoginRestantUti.Text := (ObjSelectionne as TNWUtilisateur).ChercheNbLoginRestant;
        NbLoginPermisUti.Text := (ObjSelectionne as TNWUtilisateur).ChercheNbLoginPermis;
    end
    else
    begin
        (ObjSelectionne as TNWUtilisateur).EnleveDelaiGrace;
        NbLoginRestantUti.Text := '';
        NbLoginPermisUti.Text := '';
    end;
end;

procedure TFormPrincipale.PasswordUniqueUtiClick(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then Exit;
    (ObjSelectionne as TNWUtilisateur).AssignPasswordRequis(PasswordUniqueUti.Checked);
end;

{Trustees}
procedure TFormPrincipale.TrusteesUtiClick(Sender: TObject);
var Droit: TDroit;
begin
    if (LabelNomObj.Caption = '') then Exit;
    Droit := (TrusteesUti.Items.Objects[TrusteesUti.ItemIndex] as TDroit);
    if ((Droit.Droit and $01) <> 0) then
        ReadUti.Font.Color := clBlack
    else
        ReadUti.Font.Color := clGray;
    if ((Droit.Droit and $02) <> 0) then
        WriteUti.Font.Color := clBlack
    else
        WriteUti.Font.Color := clGray;
    if ((Droit.Droit and $04) <> 0) then
        OpenUti.Font.Color := clBlack
    else
        OpenUti.Font.Color := clGray;
    if ((Droit.Droit and $08) <> 0) then
        CreateUti.Font.Color := clBlack
    else
        CreateUti.Font.Color := clGray;
    if ((Droit.Droit and $10) <> 0) then
        DeleteUti.Font.Color := clBlack
    else
        DeleteUti.Font.Color := clGray;
    if ((Droit.Droit and $20) <> 0) then
        ProprioUti.Font.Color := clBlack
    else
        ProprioUti.Font.Color := clGray;
    if ((Droit.Droit and $40) <> 0) then
        SearchUti.Font.Color := clBlack
    else
        SearchUti.Font.Color := clGray;
    if ((Droit.Droit and $80) <> 0) then
        ModifyUti.Font.Color := clBlack
    else
        ModifyUti.Font.Color := clGray;
end;

procedure TFormPrincipale.BBChangeTrusteesUtiClick(Sender: TObject);
var Temp: Integer;
begin
    if (LabelNomObj.Caption = '') or (TrusteesUti.ItemIndex = -1) then Exit;
    FormTrustees.Securite := (TrusteesUti.Items.Objects[TrusteesUti.ItemIndex] as TDroit).Droit;
    if (FormTrustees.ShowModal = mrOK) then
    begin
        (ObjSelectionne as TNWUtilisateur).AssignTrusteePath(TrusteesUti.Items.Strings[TrusteesUti.ItemIndex],
                                FormTrustees.Securite);
        Temp := TrusteesUti.ItemIndex;
        Patientez.Show;
        Patientez.Update;
        (ObjSelectionne as TNWUtilisateur).ChercheTrusteePaths(TrusteesUti.Items);
        Patientez.Hide;
        if (TrusteesUti.Items.Count > Temp) then
        begin
            TrusteesUti.ItemIndex := Temp;
            TrusteesUtiClick(Self);
        end
        else
        begin
            ReadUti.Font.Color := clGray;
            WriteUti.Font.Color := clGray;
            OpenUti.Font.Color := clGray;
            CreateUti.Font.Color := clGray;
            DeleteUti.Font.Color := clGray;
            ProprioUti.Font.Color := clGray;
            SearchUti.Font.Color := clGray;
            ModifyUti.Font.Color := clGray;
        end;
    end;
end;

procedure TFormPrincipale.BBTrusteesUtiClick(Sender: TObject);
var Compteur: Integer;
begin
    Patientez.Show;
    Patientez.Update;
    (ObjSelectionne as TNWUtilisateur).ChercheTrusteePaths(FormTrust.Trustees.Items);
    Patientez.Hide;
    if (FormTrust.ShowModal = mrOK) then
    begin
        Patientez.Show;
        Patientez.Update;
        for Compteur := 0 to TrusteesUti.Items.Count-1 do
            if (FormTrust.Trustees.Items.IndexOf(TrusteesUti.Items.Strings[Compteur]) = -1) then
                (ObjSelectionne as TNWUtilisateur).AssignTrusteePath(TrusteesUti.Items.Strings[Compteur], 0);
        for Compteur := 0 to FormTrust.Trustees.Items.Count-1 do
            if (TrusteesUti.Items.IndexOf(FormTrust.Trustees.Items.Strings[Compteur]) = -1) then
                (ObjSelectionne as TNWUtilisateur).AssignTrusteePath(FormTrust.Trustees.Items.Strings[Compteur],
                                                                (FormTrust.Trustees.Items.Objects[Compteur] as TDroit).Droit);
        (ObjSelectionne as TNWUtilisateur).ChercheTrusteePaths(TrusteesUti.Items);
        Patientez.Hide;
    end;
end;

{******************************************* C O M M U N *****************************************}
procedure TFormPrincipale.EditExit(Sender: TObject);
var Proprio: TCustomEdit;
begin
    Proprio := (Sender as TCustomEdit);
    if (LabelNomObj.Caption = '') then
    begin
        Proprio.Clear;
        Exit;
    end;
    if (not Proprio.Modified) then Exit;
    Proprio.Modified := False;
    case Proprio.Tag of
        1:(ObjSelectionne as TNWFileImpression).AssignFichierPhysique(Proprio.Text);
        2:(ObjSelectionne as TNWServeurImprimante).AssignNomPublic(Proprio.Text);
        3:(ObjSelectionne as TNWUtilisateur).AssignNom(Proprio.Text);
        4:(ObjSelectionne as TNWUtilisateur).AssignSurNom(Proprio.Text);
        5:(ObjSelectionne as TNWUtilisateur).AssignNomComplet(Proprio.Text);
        6:(ObjSelectionne as TNWUtilisateur).AssignInitiale(Proprio.Text);
        7:(ObjSelectionne as TNWUtilisateur).AssignRue(Proprio.Text);
        8:(ObjSelectionne as TNWUtilisateur).AssignCentre(Proprio.Text);
        9:(ObjSelectionne as TNWUtilisateur).AssignVille(Proprio.Text);
        10:(ObjSelectionne as TNWUtilisateur).AssignEtat(Proprio.Text);
        11:(ObjSelectionne as TNWUtilisateur).AssignCP(Proprio.Text);
        12:(ObjSelectionne as TNWUtilisateur).AssignBalance(Proprio.Text);
        13:(ObjSelectionne as TNWUtilisateur).AssignLowBalance(Proprio.Text);
        14:(ObjSelectionne as TNWUtilisateur).AssignDateExpiration(TMaskEdit(Proprio).Text);
        15:(ObjSelectionne as TNWUtilisateur).AssignNbConnectionLimite(Proprio.Text);
        16:(ObjSelectionne as TNWUtilisateur).AssignDateLastLogin((Proprio as TMaskEdit).Text);
        17:(ObjSelectionne as TNWUtilisateur).AssignHeureLastLogin((Proprio as TMaskEdit).Text);
        18:(ObjSelectionne as TNWUtilisateur).AssignTailleMiniPassword(Proprio.Text);
        19:(ObjSelectionne as TNWUtilisateur).AssignNbJoursEntreChgt(Proprio.Text);
        20:(ObjSelectionne as TNWUtilisateur).AssignDateExpirationPassword((Proprio as TMaskEdit).Text);
        21:(ObjSelectionne as TNWUtilisateur).AssignNbLoginPermis(Proprio.Text);
        22:(ObjSelectionne as TNWUtilisateur).AssignNbLoginRestant(Proprio.Text);
    end;
end;


procedure TFormPrincipale.DescriptionExit(Sender: TObject);
begin
    if (LabelNomObj.Caption = '') then
    begin
        (Sender as TMemo).Clear;
        Exit;
    end;
    if TMemo(Sender).Modified then
    begin
        TMemo(Sender).Modified := False;
        ObjSelectionne.AssignDescription((Sender as TMemo).Lines);
        ObjSelectionne.ChercheDescription(TMemo(Sender).Lines);
    end;
end;


{************************ P O U R  L E S  S P E E D  B O U T O N S ************************}
procedure TFormPrincipale.CopyObjListe(Source, Dest: TStrings);
var Compteur: Integer;
    ObjSource: TNWObject;
    ObjDest: TNWObject;
begin
    for Compteur := 0 to Dest.Count-1 do Dest.Objects[Compteur].Free;
    Dest.Clear;
    for Compteur := 0 to Source.Count-1 do
    begin
        ObjSource := TNWObject(Source.Objects[Compteur]);
        if (ObjSource is TNWUtilisateur) then
            ObjDest := TNWUtilisateur.Create(ObjSource.Proprietaire, ObjSource.ObjID, ObjSource.ObjNom,
                                            ObjSource.ObjType, 0, ObjSource.ObjFlags, ObjSource.ObjSecurite)
        else if (ObjSource is TNWGroupe) then
            ObjDest := TNWGroupe.Create(ObjSource.Proprietaire, ObjSource.ObjID, ObjSource.ObjNom,
                                        ObjSource.ObjType, 0, ObjSource.ObjFlags, ObjSource.ObjSecurite)
        else if (ObjSource is TNWServeurImprimante) then
            ObjDest := TNWServeurImprimante.Create(ObjSource.Proprietaire, ObjSource.ObjID, ObjSource.ObjNom,
                                    ObjSource.ObjType, 0, ObjSource.ObjFlags, ObjSource.ObjSecurite)
        else if (ObjSource is TNWServeurFichier) then
            ObjDest := TNWServeurFichier.Create(ObjSource.Proprietaire, ObjSource.ObjID, ObjSource.ObjNom,
                                    ObjSource.ObjType, 0, ObjSource.ObjFlags, ObjSource.ObjSecurite)
        else if (ObjSource is TNWFileImpression) then
            ObjDest := TNWFileImpression.Create(ObjSource.Proprietaire, ObjSource.ObjID, ObjSource.ObjNom,
                                    ObjSource.ObjType, 0, ObjSource.ObjFlags, ObjSource.ObjSecurite)
        else if (ObjSource is TNWProfile) then
            ObjDest := TNWProfile.Create(ObjSource.Proprietaire, ObjSource.ObjID, ObjSource.ObjNom,
                                    ObjSource.ObjType, 0, ObjSource.ObjFlags, ObjSource.ObjSecurite)
        else
            ObjDest := TNWObject.Create(ObjSource.Proprietaire, ObjSource.ObjID, ObjSource.ObjNom,
                                    ObjSource.ObjType, 0, ObjSource.ObjFlags, ObjSource.ObjSecurite);
        Dest.AddObject(Source.Strings[Compteur], ObjDest);
    end;
end;


procedure TFormPrincipale.BBClick(Sender: TObject);
var Source: TObject;
    SBInfos: TSBInfos;
begin
    if (LabelNomObj.Caption = '') then Exit;
    SBInfos := ListSB.Items[(Sender as TButton).Tag];
    FormBoite1.Caption := Concat(SBInfos.Titre, ' de ', ObjSelectionne.ObjNom);
    FormBoite1.TypeObject := SBInfos.TypeObj;
    Source := SBInfos.Source;
    if (SBInfos.TypeObj = SB_CHAINE) then
    begin
        FormBoite1.ListBox.Style := lbStandard;
        FormBoite1.ListBox.Items.Clear;
        if (Source is TComboBox) then
            FormBoite1.ListBox.Items := (Source as TComboBox).Items
        else
            FormBoite1.ListBox.Items := (Source as TListBox).Items;
    end
    else
    begin
        FormBoite1.ListBox.Style := lbOwnerDrawFixed;
        if (Source is TComboBox) then
            CopyObjListe((Source as TComboBox).Items, FormBoite1.ListBox.Items)
        else
            CopyObjListe((Source as TListBox).Items, FormBoite1.ListBox.Items);
    end;
    if (FormBoite1.ShowModal = mrOk) then
    begin
        case (Sender as TButton).Tag of
            0, 1, 8, 14, 19: ObjSelectionne.AssignDepartements(FormBoite1.ListBox.Items);
            2, 3, 7, 13, 18: ObjSelectionne.AssignLocations(FormBoite1.ListBox.Items);
            4, 9, 15, 20: ObjSelectionne.AssignOrganisations(FormBoite1.ListBox.Items);
            5: (ObjSelectionne as TNWGroupe).AssignMembres(FormBoite1.ListBox.Items);
            6, 21, 26: ObjSelectionne.AssignToutObjects(FormBoite1.ListBox.Items);
            10: (ObjSelectionne as TNWServeurImprimante).AssignUtilisateurs(FormBoite1.ListBox.Items);
            11: (ObjSelectionne as TNWServeurImprimante).AssignOperateurs(FormBoite1.ListBox.Items);
            12: (ObjSelectionne as TNWServeurFichier).AssignOperateurs(FormBoite1.ListBox.Items);
            16: (ObjSelectionne as TNWFileImpression).AssignOperateurs(FormBoite1.ListBox.Items);
            17: (ObjSelectionne as TNWFileImpression).AssignUtilisateurs(FormBoite1.ListBox.Items);
            22: (ObjSelectionne as TNWUtilisateur).AssignTitres(FormBoite1.ListBox.Items);
            23: (ObjSelectionne as TNWUtilisateur).AssignTelephones(FormBoite1.ListBox.Items);
            24: (ObjSelectionne as TNWUtilisateur).AssignGroupes(FormBoite1.ListBox.Items);
            25: (ObjSelectionne as TNWUtilisateur).AssignEquivalences(FormBoite1.ListBox.Items);
        end;

        if (SBInfos.TypeObj = SB_CHAINE) then
        begin
            if (Source is TComboBox) then
                (Source as TComboBox).Items := FormBoite1.ListBox.Items
            else
                (Source as TListBox).Items := FormBoite1.ListBox.Items;
        end
        else
        begin
            if (Source is TComboBox) then
                CopyObjListe(FormBoite1.ListBox.Items, (Source as TComboBox).Items)
            else
                CopyObjListe(FormBoite1.ListBox.Items, (Source as TListBox).Items);
        end;

        if (Source is TComboBox) then (Source as TComboBox).ItemIndex := 0
        else (Source as TListBox).ItemIndex := 0;
    end;
end;


{********************* I C O N E S  D A N S  L E S   L I S T E S *******************************}
procedure TFormPrincipale.DrawItem(Control: TWinControl; Index: Integer; Rect: TRect; State: TOwnerDrawState);
var Image: TBitmap;
    Buffer: array[0..255] of Char;
begin
    if (Control is TListBox) then
    with (Control as TListBox) do
    begin
        Canvas.FillRect(Rect);
        if (Items.Objects[Index] is TNWUtilisateur) then Image := ImageUti.Picture.Bitmap
        else if (Items.Objects[Index] is TNWGroupe) then Image := ImageGrp.Picture.Bitmap
        else if (Items.Objects[Index] is TNWServeurImprimante) then Image := ImageServPrt.Picture.Bitmap
        else if (Items.Objects[Index] is TNWServeurFichier) then Image := ImageServFic.Picture.Bitmap
        else if (Items.Objects[Index] is TNWFileImpression) then Image := ImagePrtQ.Picture.Bitmap
        else if (Items.Objects[Index] is TNWProfile) then Image := ImageProf.Picture.Bitmap
        else Image := ImageAutre.Picture.Bitmap;
        Canvas.BrushCopy(Bounds(Rect.Left + 2,
                (Rect.Top + Rect.Bottom - Image.Height) div 2,
                Image.Width, Image.Height),
                Image, Bounds(0, 0, Image.Width, Image.Height),
                Image.Canvas.Pixels[0, Image.Height - 1]);
        StrPCopy(Buffer, Items[Index]);
        Rect.Left := Rect.Left + Image.Width + 6;
        DrawText(Canvas.Handle, Buffer, StrLen(Buffer), Rect, DT_SINGLELINE or DT_VCENTER or DT_NOPREFIX);
    end
    else
    if (Control is TComboBox) then
    with (Control as TComboBox) do
    begin
        Canvas.FillRect(Rect);
        if (Items.Objects[Index] is TNWUtilisateur) then Image := ImageUti.Picture.Bitmap
        else if (Items.Objects[Index] is TNWGroupe) then Image := ImageGrp.Picture.Bitmap
        else if (Items.Objects[Index] is TNWServeurImprimante) then Image := ImageServPrt.Picture.Bitmap
        else if (Items.Objects[Index] is TNWServeurFichier) then Image := ImageServFic.Picture.Bitmap
        else if (Items.Objects[Index] is TNWFileImpression) then Image := ImagePrtQ.Picture.Bitmap
        else if (Items.Objects[Index] is TNWProfile) then Image := ImageProf.Picture.Bitmap
        else Image := ImageAutre.Picture.Bitmap;
        Canvas.BrushCopy(Bounds(Rect.Left + 2,
                (Rect.Top + Rect.Bottom - Image.Height) div 2,
                Image.Width, Image.Height),
                Image, Bounds(0, 0, Image.Width, Image.Height),
                Image.Canvas.Pixels[0, Image.Height - 1]);
        StrPCopy(Buffer, Items[Index]);
        Rect.Left := Rect.Left + Image.Width + 6;
        DrawText(Canvas.Handle, Buffer, StrLen(Buffer), Rect, DT_SINGLELINE or DT_VCENTER or DT_NOPREFIX);
    end
end;

{********************************* M E M O I R E    D I S P O *******************************}
procedure TFormPrincipale.TimerMemoireDispoTimer(Sender: TObject);
begin
    MemoireDispo.Caption := IntToStr(MemAvail);
end;


end.
